Page MenuHomePhabricator

[OMPT] Second chunk of final OMPT 5.0 interface updates
ClosedPublic

Authored by protze.joachim on Dec 11 2018, 2:19 PM.

Details

Summary

The ompt.h file is generated from the OpenMP spec to ensure that the interface is implemented as specified.

The other changes are necessary to update the interface implementation to the final version as published in 5.0.

@AndreyChurbanov for the implicit-task callbacks I'm not sure in which cases an initial task in a teams construct might pass the branch and how to identify the initial task.

Patch partially perpared by @sconvent

Diff Detail

Repository
rL LLVM

Event Timeline

protze.joachim created this revision.Dec 11 2018, 2:19 PM
protze.joachim marked an inline comment as done.Dec 12 2018, 12:49 AM
protze.joachim added inline comments.
runtime/src/ompt-general.cpp
347 ↗(On Diff #177781)

This part relies on a meaningful implementation of omp_get_initial_device(). Currently this function is not provided by the OpenMP runtime.
Therefore this patch depends on D55578

  • I activated the omp_get_initial_device() call to get the number at runtime.
  • I also changed the name of ompt.h to omp-tools.h as defined in the SPEC
hbae added inline comments.Jan 9 2019, 2:48 PM
runtime/src/include/50/omp-tools.h.var
2 ↗(On Diff #180680)

Change ompt.h.var to omp-tools.h.var

runtime/src/kmp_csupport.cpp
514 ↗(On Diff #180680)

ompt_task_implicit for the last argument.

runtime/src/kmp_wait_release.h
143 ↗(On Diff #180680)

ompt_task_implicit seems to be the right value for the last argument.

Implemented changes by Hansang.

Now I also used the flag -M30% for diff generation, to show the changes in the moved header ompt.h -> omp-tools.h

Is this good to go for 8.0?

hbae added a comment.Jan 15 2019, 6:46 AM

Can you also change ompt.h to omp-tools.h in runtime/cmake/LibompExports.cmake:61?
Then, I think it is good to go.

Fix the last mentioning of ompt.h

This revision was not accepted when it landed; it landed in state Needs Review.Jan 15 2019, 7:40 AM
Closed by commit rL351197: [OMPT] Second chunk of final OMPT 5.0 interface updates (authored by jprotze, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.